public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt-builder/
Date: Sat, 30 Oct 2021 23:57:59 +0000 (UTC)	[thread overview]
Message-ID: <1635638274.43bc2b8db5e023823d0e80e10d2c3857e383563b.pesa@gentoo> (raw)

commit:     43bc2b8db5e023823d0e80e10d2c3857e383563b
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 30 23:55:51 2021 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sat Oct 30 23:57:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43bc2b8d

dev-python/PyQt-builder: add 1.12.2

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/PyQt-builder/Manifest                   |  1 +
 dev-python/PyQt-builder/PyQt-builder-1.12.2.ebuild | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/PyQt-builder/Manifest b/dev-python/PyQt-builder/Manifest
index ce69eee4a5d..c5e4dafc190 100644
--- a/dev-python/PyQt-builder/Manifest
+++ b/dev-python/PyQt-builder/Manifest
@@ -1,2 +1,3 @@
 DIST PyQt-builder-1.10.3.tar.gz 5725537 BLAKE2B da1abab8fa46da9dee15dedbcf84068b80ce081e87e640fc50642ff6dd15aa3963b9186a32193f3c492c4f141fb7242f13395a539f436575532a5735e3c85720 SHA512 26a01cb2dc4428277cc62da23404433d75f84c61360c35dfd9c440841adbcb1bf39b2211e4e33967ee2730c163dd1585b5fcbd88c6fd7efa2f1f84915a390e2a
 DIST PyQt-builder-1.12.1.tar.gz 5726601 BLAKE2B 6e6dd181078ed126ecf3db7bbf5e7b68b78ec78e2ca198fb4f504495020c8fc7d61280bf844a78de69621049785b0b152f31d0d25779d7bbe330162bb80b68bf SHA512 4f006564f51758cb05da8dce78aead58a23d132405124e92bf79cac39eaa845efa5db15a2abdd43ae95e191d38d81fbc592f75bb68f83b83e25c51f8f84e6182
+DIST PyQt-builder-1.12.2.tar.gz 5727071 BLAKE2B ca5d55989fec2a9a6f9d37abc307d4db7305bb06449cbf982aa3a2a3f210113319f7fb303ec0d77b513cce844b529e0e56f62c9d62ab3c51cf85a061ecd00c7a SHA512 022f2cd40c100543c4b442fc5b27bbf2ec853d94b531f8f6dc1d7f92b07bcc20e8f0a4eb64feb96d094ba0d5f01fddcc8aed23ddf67a61417e07983a73918230

diff --git a/dev-python/PyQt-builder/PyQt-builder-1.12.2.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.12.2.ebuild
new file mode 100644
index 00000000000..f136447e373
--- /dev/null
+++ b/dev-python/PyQt-builder/PyQt-builder-1.12.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The PEP 517 compliant PyQt build system"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt-builder/ https://pypi.org/project/PyQt-builder/"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+	SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/sip-6.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc --no-autodoc
+
+python_prepare_all() {
+	# don't install prebuilt Windows DLLs
+	sed -i -e "s:'dlls/\*/\*',::" setup.py || die
+	rm -r "${PN/-/_}.egg-info" || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-10-30 23:58 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-30 23:57 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-27  7:19 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt-builder/ Michał Górny
2024-07-27  7:07 Arthur Zamarin
2024-07-12 23:12 Ionen Wolkens
2024-07-06  6:35 Michał Górny
2024-07-06  6:26 Sam James
2024-06-21 23:59 Ionen Wolkens
2024-05-13  5:49 Ionen Wolkens
2024-05-12 20:25 Ionen Wolkens
2024-05-05 15:46 Sam James
2024-05-05 13:07 Ionen Wolkens
2024-04-25 16:52 Ionen Wolkens
2024-04-20 14:52 Ionen Wolkens
2024-04-20 14:35 Ionen Wolkens
2024-04-20 14:35 Ionen Wolkens
2024-04-20 11:46 Sam James
2024-04-20 10:49 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-20  9:51 Michał Górny
2024-04-03 19:04 Ionen Wolkens
2024-04-03 19:04 Ionen Wolkens
2023-12-20 20:01 Michał Górny
2023-12-20 17:18 Arthur Zamarin
2023-12-20 16:15 Michał Górny
2023-12-20 16:08 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-20 15:49 Michał Górny
2023-11-30 19:42 Ionen Wolkens
2023-11-09 15:49 Ionen Wolkens
2023-11-03 15:08 Arthur Zamarin
2023-11-03 15:08 Arthur Zamarin
2023-11-03 11:00 Arthur Zamarin
2023-11-03 10:59 Arthur Zamarin
2023-11-03 10:59 Arthur Zamarin
2023-10-14 14:48 Ionen Wolkens
2023-08-24 12:47 Michał Górny
2023-08-24 12:40 Sam James
2023-08-24 12:40 Sam James
2023-08-24 12:40 Sam James
2023-08-24 12:40 Sam James
2023-08-24 12:40 Sam James
2023-07-25  0:10 Ionen Wolkens
2023-07-10  1:29 Michał Górny
2023-07-09 18:11 Arthur Zamarin
2023-07-09 17:22 Arthur Zamarin
2023-07-09 17:19 Arthur Zamarin
2023-06-03  5:37 Sam James
2023-04-24  5:57 Michał Górny
2023-04-23 21:38 Sam James
2023-04-22 14:28 Sam James
2023-04-22 11:31 Sam James
2023-04-22  9:25 Arthur Zamarin
2023-04-22  9:25 Arthur Zamarin
2023-04-11  6:15 Sam James
2023-03-17 15:29 Michał Górny
2023-03-10  8:40 Sam James
2022-12-02 10:20 WANG Xuerui
2022-06-08 19:16 Andrew Ammerlaan
2022-06-01  5:25 Sam James
2022-06-01  5:25 Sam James
2022-06-01  2:29 Sam James
2022-06-01  1:55 Sam James
2022-06-01  1:55 Sam James
2021-10-30 23:57 Davide Pesavento
2021-10-13 20:15 Davide Pesavento
2021-10-03 17:40 Davide Pesavento
2021-07-06 23:18 Davide Pesavento
2021-07-06 23:18 Davide Pesavento
2021-06-17 23:55 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635638274.43bc2b8db5e023823d0e80e10d2c3857e383563b.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox